<?php

namespace Drupal\ai_seo_link_advisor\HttpClient;

use Psr\Http\Message\ResponseInterface;
use Drupal\ai_seo_link_advisor\HttpClient\Exception\HttpException;

interface ClientInterface {
  /**
   * @param string $url
   * @param array $options
   * @return ResponseInterface
   * @throws HttpException
   */
  public function get(string $url, array $options = []): ResponseInterface;
}
